import request from '@/config/axios'

export interface TargetConsumeVO {

}

export interface TargetConsumePageReqVO extends PageParam {

}

// 查询TargetConsume列表
export const getTargetConsumePage = (params: TargetConsumePageReqVO) => {
  return request.get({ url: '/xmcpms/prod/targetConsume/page', params })
}

// 查询TargetConsume列表
export const getPointList = (params: TargetConsumePageReqVO) => {
  return request.get({ url: '/xmcpms/prod/targetConsume/list', params })
}

// 查询TargetConsume详情
export const getTargetConsume = (id: number) => {
  return request.get({ url: `/xmcpms/prod/targetConsume/info/${id}`})
}

// 新增TargetConsume
export const createTargetConsume = (data: TargetConsumeVO) => {
  return request.post({ url: '/xmcpms/prod/targetConsume/create', data })
}

// 修改TargetConsume
export const updateTargetConsume = (data: TargetConsumeVO) => {
  return request.put({ url: '/xmcpms/prod/targetConsume/update', data })
}

// 删除TargetConsume
export const deleteTargetConsume = (id: number) => {
  return request.delete({ url: '/xmcpms/prod/targetConsume/delete?id=' + id })
}

//导出TargetConsumeList
export const exportTargetConsume = (params) => {
  return request.download({ url: '/xmcpms/prod/targetConsume/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/prod/targetConsume/get-import-template' })
}
